libmangle: Data Fields

Here is a list of all functions, variables, defines, enums, and typedefs with links to the files they belong to:

### - c -

- chain_tok() : m_token.c , m_token.h

### - d -

- DEC_CHAR : m_ms.h

### - e -

- eMST_array : m_token.h
- eMST_assign : m_token.h
- eMST_based : m_token.h
- eMST_colon : m_token.h
- eMST_colonarray : m_token.h
- eMST_coloncolon : m_token.h
- eMST_combine : m_token.h
- eMST_cv : m_token.h
- eMST_destructor : m_token.h
- eMST_dim : m_token.h
- eMST_ecsu : m_token.h
- eMST_element : m_token.h
- eMST_exp : m_token.h
- eMST_frame : m_token.h
- eMST_gcarray : m_token.h
- eMST_lexical_frame : m_token.h
- eMST_ltgt : m_token.h
- eMST_name : m_token.h
- eMST_nonetypetemplateparam : m_token.h
- eMST_nttp : m_token.h
- eMST_oper : m_token.h
- eMST_opname : m_token.h
- eMST_rframe : m_token.h
- eMST_rtti : m_token.h
- eMST_scope : m_token.h
- eMST_slashed : m_token.h
- eMST_templargname : m_token.h
- eMST_template_argument_list : m_token.h
- eMST_templateparam : m_token.h
- eMST_throw : m_token.h
- eMST_type : m_token.h
- eMST_udt_returning : m_token.h
- eMST_unmangled : m_token.h
- eMST_val : m_token.h
- eMST_vbtable : m_token.h
- eMST_vcall : m_token.h
- eMST_vftable : m_token.h
- eMSToken : m_token.h
- eMToken : m_token.h
- eMToken_binary : m_token.h
- eMToken_dim : m_token.h
- eMToken_MAX : m_token.h
- eMToken_name : m_token.h
- eMToken_none : m_token.h
- eMToken_unary : m_token.h
- eMToken_value : m_token.h
- ENCODING_TYPE_MS : m_ms.h

### - g -

- gen_binary() : m_token.c , m_token.h
- gen_dim() : m_token.h , m_token.c
- gen_name() : m_token.c , m_token.h
- gen_tok() : m_token.c
- gen_unary() : m_token.h , m_token.c
- gen_value() : m_token.h , m_token.c
- GET_CHAR : m_ms.h

### - i -

- INC_CHAR : m_ms.h

### - l -

- libmangle_decode_ms_name() : libmangle.h , m_ms.c , m_ms.h
- libmangle_dump_tok() : libmangle.h , m_token.c , m_token.h
- libmangle_encode_ms_name() : m_ms.c , m_ms.h , libmangle.h
- libmangle_gc_t : libmangle.h
- libmangle_gen_tok() : m_token.h
- libmangle_generate_gc() : libmangle.h , m_token.c , m_token.h
- libmangle_print_decl() : libmangle.h , m_token.c , m_token.h
- libmangle_release_gc() : libmangle.h , m_token.h , m_token.c
- libmangle_sprint_decl() : m_token.c , libmangle.h , m_token.h
- libmangle_tokens_t : libmangle.h

### - m -

- MTOKEN_BINARY_LEFT : m_token.h
- MTOKEN_BINARY_RIGHT : m_token.h
- MTOKEN_CHAIN : m_token.h
- MTOKEN_DIM_NEGATE : m_token.h
- MTOKEN_DIM_NTTP : m_token.h
- MTOKEN_DIM_VALUE : m_token.h
- MTOKEN_FLAGS : m_token.h
- MTOKEN_FLAGS_ARRAY : m_token.h
- MTOKEN_FLAGS_NOTE : m_token.h
- MTOKEN_FLAGS_PTRREF : m_token.h
- MTOKEN_FLAGS_UDC : m_token.h
- MTOKEN_KIND : m_token.h
- MTOKEN_NAME : m_token.h
- MTOKEN_SUBKIND : m_token.h
- MTOKEN_UNARY : m_token.h
- MTOKEN_VALUE : m_token.h
- MTOKEN_VALUE_SIGNED : m_token.h
- MTOKEN_VALUE_SIZE : m_token.h
- MY_LL : m_token.c

### - s -

- SKIP_CHAR : m_ms.h